PLMKSTRM(3)

NAME
plmkstrm - Creates a new stream and makes it the default

SYNOPSIS
plmkstrm(p_strm)

DESCRIPTION

Creates a new stream and makes it the default. Differs from using plsstrm(3), in that a free stream number is found, and returned. Unfortunately, I have to start at stream 1 and work upward, since stream 0 is preallocated. One of the big flaws in the PLplot API is that no initial, library-opening call is required. So stream 0 must be preallocated, and there is no simple way of determining whether it is already in use or not.

ARGUMENTS

p_strm (PLINT *, output)
    Pointer to stream number of the created stream.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.